Error during signal_pre_upgrade signal

When things don't work as they should.
Post Reply
amphetamine
Posts: 47
Joined: Sat Jul 04, 2020 8:43 am

Error during signal_pre_upgrade signal

Post by amphetamine »

~$ sudo --user=mayan MAYAN_MEDIA_ROOT=/opt/mayan-edms/media/ \
/opt/mayan-edms/bin/mayan-edms.py performupgrade

Code: Select all

/opt/mayan-edms/lib/python3.8/site-packages/requests/__init__.py:102: RequestsDependencyWarning: urllib3 (1.25.8) or chardet (5.0.0)/charset_normalizer (2.0.7) doesn't match a supported version!

warnings.warn("urllib3 ({}) or chardet ({})/charset_normalizer ({}) doesn't match a supported "

Traceback (most recent call last):

File "/opt/mayan-edms/lib/python3.8/site-packages/mayan/apps/common/management/base.py", line 97, in do_perform_upgrade

signal\_pre\_upgrade.send(sender=self)


File "/opt/mayan-edms/lib/python3.8/site-packages/django/dispatch/dispatcher.py", line 180, in send

return [


File "/opt/mayan-edms/lib/python3.8/site-packages/django/dispatch/dispatcher.py", line 181, in <listcomp>

(receiver, receiver(signal=self, sender=sender, \*\*named))


File "/opt/mayan-edms/lib/python3.8/site-packages/mayan/apps/common/handlers.py", line 9, in handler_pre_upgrade

management.call\_command(


File "/opt/mayan-edms/lib/python3.8/site-packages/django/core/management/__init__.py", line 181, in call_command

return command.execute(\*args, \*\*defaults)


File "/opt/mayan-edms/lib/python3.8/site-packages/django/core/management/base.py", line 398, in execute

output = self.handle(\*args, \*\*options)


File "/opt/mayan-edms/lib/python3.8/site-packages/django/core/management/base.py", line 89, in wrapped

res = handle\_func(\*args, \*\*kwargs)


File "/opt/mayan-edms/lib/python3.8/site-packages/django/core/management/commands/migrate.py", line 105, in handle

raise CommandError(


django.core.management.base.CommandError: Conflicting migrations detected; multiple leaf nodes in the migration graph: (0006_alter_userlocaleprofile_timezone, 0006_merge_20211028_0010 in locales).

To fix them run 'python manage.py makemigrations --merge'

The above exception was the direct cause of the following exception:

Traceback (most recent call last):

File "/opt/mayan-edms/bin/mayan-edms.py", line 22, in <module>

main()


File "/opt/mayan-edms/bin/mayan-edms.py", line 18, in main

execute\_from\_command\_line(sys.argv)


File "/opt/mayan-edms/lib/python3.8/site-packages/django/core/management/__init__.py", line 419, in execute_from_command_line

utility.execute()


File "/opt/mayan-edms/lib/python3.8/site-packages/django/core/management/__init__.py", line 413, in execute

self.fetch\_command(subcommand).run\_from\_argv(self.argv)


File "/opt/mayan-edms/lib/python3.8/site-packages/django/core/management/base.py", line 354, in run_from_argv

self.execute(\*args, \*\*cmd\_options)


File "/opt/mayan-edms/lib/python3.8/site-packages/django/core/management/base.py", line 398, in execute

output = self.handle(\*args, \*\*options)


File "/opt/mayan-edms/lib/python3.8/site-packages/mayan/apps/common/management/commands/common_perform_upgrade.py", line 18, in handle

instance.do\_perform\_upgrade(


File "/opt/mayan-edms/lib/python3.8/site-packages/mayan/apps/common/management/base.py", line 99, in do_perform_upgrade

raise BaseCommonException(


mayan.apps.common.exceptions.BaseCommonException: Error during signal_pre_upgrade signal.
User avatar
michael
Developer
Developer
Posts: 297
Joined: Sun Apr 19, 2020 6:21 am

Re: Error during signal_pre_upgrade signal

Post by michael »

This seems to be a custom version of Mayan. Remove the custom code and try the upgrade again.
amphetamine
Posts: 47
Joined: Sat Jul 04, 2020 8:43 am

Re: Error during signal_pre_upgrade signal

Post by amphetamine »

Dumb question.
How to remove the custom code? And where is the directory?
Post Reply